@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  foocad startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and FOOCAD_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\foocad-2.0.jar;%APP_HOME%\lib\foocad-construction-2.0.jar;%APP_HOME%\lib\foocad-build-2.0.jar;%APP_HOME%\lib\foocad-core-2.0.jar;%APP_HOME%\lib\feather-glok-0.5.jar;%APP_HOME%\lib\feather-core-0.5.jar;%APP_HOME%\lib\feather-runtime-0.5.jar;%APP_HOME%\lib\glok-dock-jvm-0.5.1.jar;%APP_HOME%\lib\glok-core-jvm-0.5.1.jar;%APP_HOME%\lib\glok-model-jvm-0.5.1.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.9.10.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.9.10.jar;%APP_HOME%\lib\kotlin-reflect-1.9.10.jar;%APP_HOME%\lib\kotlin-stdlib-1.9.10.jar;%APP_HOME%\lib\jts-core-1.18.2.jar;%APP_HOME%\lib\httpmime-4.5.12.jar;%APP_HOME%\lib\httpclient-4.5.12.jar;%APP_HOME%\lib\antlr4-runtime-4.9.1.jar;%APP_HOME%\lib\asm-7.3.1.jar;%APP_HOME%\lib\xbean-classloader-4.18.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.9.10.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\httpcore-4.4.13.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\lwjgl-glfw-3.3.1.jar;%APP_HOME%\lib\lwjgl-glfw-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-glfw-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-glfw-3.3.1-natives-macos.jar;%APP_HOME%\lib\lwjgl-jemalloc-3.3.1.jar;%APP_HOME%\lib\lwjgl-jemalloc-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-jemalloc-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-jemalloc-3.3.1-natives-macos.jar;%APP_HOME%\lib\lwjgl-opengl-3.3.1.jar;%APP_HOME%\lib\lwjgl-opengl-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-opengl-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-opengl-3.3.1-natives-macos.jar;%APP_HOME%\lib\lwjgl-stb-3.3.1.jar;%APP_HOME%\lib\lwjgl-stb-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-stb-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-stb-3.3.1-natives-macos.jar;%APP_HOME%\lib\lwjgl-nfd-3.3.1.jar;%APP_HOME%\lib\lwjgl-nfd-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-nfd-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-nfd-3.3.1-natives-macos.jar;%APP_HOME%\lib\lwjgl-3.3.1.jar;%APP_HOME%\lib\lwjgl-3.3.1-natives-linux.jar;%APP_HOME%\lib\lwjgl-3.3.1-natives-windows.jar;%APP_HOME%\lib\lwjgl-3.3.1-natives-macos.jar;%APP_HOME%\lib\joml-1.10.5.jar


@rem Execute foocad
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %FOOCAD_OPTS%  -classpath "%CLASSPATH%" uk.co.nickthecoder.foocad.FooCAD %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable FOOCAD_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%FOOCAD_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
